Bug 838460 - Wrong ifdefs in pcre_study.c
Wrong ifdefs in pcre_study.c
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pcre (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://bugs.exim.org/show_bug.cgi?id=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 03:49 EDT by Petr Pisar
Modified: 2013-08-30 02:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 02:44:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-07-09 03:49:50 EDT
Wrong ifdefs in pcre_study.c can cause incorrect match with \h* or \R* pattern in UTF-16 mode.

Fixed in upstream commit:

r983 | ph10 | 2012-07-06 10:55:10 +0200 (Pá, 06 čec 2012) | 2 lines
Fix 2 incorrect #ifdefs in pcre_study.c.
Comment 1 Fedora End Of Life 2013-04-03 15:40:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Petr Pisar 2013-08-30 02:44:19 EDT
This issue has been fixed in upstream 8.31 version. All Fedora ≥ 18 delivers unaffected versions.

Note You need to log in before you can comment on or make changes to this bug.